[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.GetEditMask

Gets the edit mask for the specified cell.

## Declaration

Source position: grids.pas line 1114

`protected function TCustomGrid.GetEditMask(`
`ACol: LongInt;`
`ARow: LongInt`
`):string; virtual;`

## Arguments

`ACol` |  | Column number for the cell.
`ARow` |  | Row number for the cell.

## Function result

Edit mask for the specified cell.

## Description

GetEditMask provides the mask posted in a grid message to an active cell Editor control. It occurs immediately before the grid message that posts the cell value to the editor control.

GetEditMask always returns an empty string ('') in TCustomGrid. It is overridden in descendent classes.

## See also

TCustomGrid.Editor |  | The editor control used to modify the value in the current cell.
TCustomGrid.EditorDoSetValue |  | Sets the mask and value for a visible cell editor in the grid control.
TCustomDrawGrid.GetEditMask |  | Gets the edit mask for the specified cell.